Package org.kapott.hbci.GV_Result

## Class GVRWPDepotUms.Entry.FinancialInstrument

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRWPDepotUms.Entry.FinancialInstrument

Enclosing class:
  GVRWPDepotUms.Entry

    public static class GVRWPDepotUms.Entry.FinancialInstrument
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `GVRWPDepotUms.Entry.FinancialInstrument.Transaction`

### Field Summary

Fields
`TypedValue` `endSaldo` Endsaldo des Finanzinstruments
`java.lang.String` `isin` ISIN des Wertpapiers (optional)
`java.lang.String` `name` Wertpapierbezeichnung
`TypedValue` `preis` Endsaldo des Finanzinstruments
`java.util.Date` `preisdatum` Preisdatum
`TypedValue` `startSaldo` Startsaldo des Finanzinstruments
`java.util.List<GVRWPDepotUms.Entry.FinancialInstrument.Transaction>` `transactions` Liste der Transaktionen/Umsätze
`java.lang.String` `wkn` WKN des Wertpapiers (optional)

### Constructor Summary

Constructors
`FinancialInstrument()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### isin

    public java.lang.String isin

ISIN des Wertpapiers (optional)

#### wkn

    public java.lang.String wkn

WKN des Wertpapiers (optional)

#### name

    public java.lang.String name

Wertpapierbezeichnung

#### startSaldo

    public TypedValue startSaldo

Startsaldo des Finanzinstruments

#### endSaldo

    public TypedValue endSaldo

Endsaldo des Finanzinstruments

#### preis

    public TypedValue preis

Endsaldo des Finanzinstruments

#### preisdatum

    public java.util.Date preisdatum

Preisdatum

#### transactions

    public final java.util.List<GVRWPDepotUms.Entry.FinancialInstrument.Transaction> transactions

Liste der Transaktionen/Umsätze

### Constructor Detail

#### FinancialInstrument

    public FinancialInstrument()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`